summaryrefslogtreecommitdiff
path: root/test/windows/odb/all
diff options
context:
space:
mode:
Diffstat (limited to 'test/windows/odb/all')
-rwxr-xr-xtest/windows/odb/all31
1 files changed, 31 insertions, 0 deletions
diff --git a/test/windows/odb/all b/test/windows/odb/all
new file mode 100755
index 0000000..cef5a67
--- /dev/null
+++ b/test/windows/odb/all
@@ -0,0 +1,31 @@
+#! /usr/bin/env bash
+
+trap 'exit 1' ERR
+
+function error ()
+{
+ echo "$*" 1>&2
+}
+
+if [ "$1" = "" ]; then
+ echo vc++ version expected
+ exit 1
+fi
+
+action=$2
+if [ "$action" == "" ]; then
+ action=/Build
+fi
+
+databases="mysql"
+
+for d in $databases; do
+ cmd.exe /C "setenv.bat build.bat $d $1 $action"
+ cd odb-tests
+ cmd.exe /C "..\setenv.bat test.bat $d"
+ cd ..
+ cd odb-examples
+ cmd.exe /C "..\setenv.bat test.bat $d"
+ cd ..
+done
+